Supported array

asked 2020-05-31 16:05:43 -0500

donald_S gravatar image

I got this old array hitachi hus-150. What is see in docs is that hus was supported only up to Kilo version which is EOL. I don't understand. Why support of this array was removed in newer releases?

edit retag flag offensive close merge delete

Comments

Probably because nobody continued testing the driver from Liberty on.

Bernd Bausch gravatar imageBernd Bausch ( 2020-05-31 19:32:08 -0500 )edit

Your Hitachi array was also old. We use the driver for Hitachi vSP Gx00 actually (G1000 array) and it works on Queens/Rocky and Stein

chalans gravatar imagechalans ( 2020-06-01 08:16:02 -0500 )edit

So what I understand is - I can use array with Kilo relase but in case of any bug I'm on my own? :)

donald_S gravatar imagedonald_S ( 2020-06-01 09:13:00 -0500 )edit

Yes. It won't be easy to install Kilo, though.

You could try to copy the Kilo driver to a newer OpenStack version, but there may be dependencies that can't be satisfied. Or if you have moderate Python skills, it should not be too hard to port it. But in any case, you're on your own, yes.

Bernd Bausch gravatar imageBernd Bausch ( 2020-06-01 09:50:39 -0500 )edit

Try to use HBSD driver ..

chalans gravatar imagechalans ( 2020-06-02 17:09:21 -0500 )edit